import request from '@/benyun/utils/request'
import store from '@/store/index'
//查询价格
export function queryPricePackage(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/getMultiplePrice',
		method: 'POST',
		data: data
	})
}
//单条发货
export function addmultiple(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/addmultiple',
		method: 'POST',
		data: data
	})
}
//整车价格
export function getMultipleToOnePrice(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/getMultipleToOnePrice',
		method: 'POST',
		data: data
	})
}
//整车发货
export function addMultipleToOne(data : any) {
	return request({
		url: '/omsOrder/omsShippingOrder/addMultipleToOne',
		method: 'POST',
		data: data
	})
}
//查库存
export function getInventoryByStoreHouseIdAndSkuids(data : any) {
	return request({
		url: '/supply/supplyInventory/getInventoryByStoreHouseIdAndSkuids',
		method: 'POST',
		data: data
	})
}
//分页查询
export function getPageData(data ?: any) {
	return request({
		url: '/omsOrder/omsShippingOrder/page',
		method: 'GET',
		params: data
	})
}
//主键查询
export function getSingleData(data ?: any) {
	return request({
		url: '/omsOrder/omsShippingOrder/single',
		method: 'GET',
		params: data
	})
}